JobScheduler and YADE Long Term Support Version 1.9.14 released

We are pleased to announce the Long Term Support release of JobScheduler and YADE 1.9.14

This maintenance release brings 6 fixes in JobScheduler to subscribers of Long Term Support:

Vulnerabilities

  • This release includes fixes for vulnerabilities of the Spring Framework component
  • JS-1809: Update Spring Framework core to Version >= 4.3.17 due to vulnerability issues in Spring Framework (CVE-2015-0201, CVE-2015-3192, CVE-2015-5211, CVE-2016-5007, CVE-2018-1257, CVE-2018-1270, CVE-2018-1272, CVE-2018-1275)

Fixes

  • JITL-494: JobSchedulerManagedMailJob should read smtp settings from factory.ini completely
  • JITL-458: The event handler jitl jobs does not consider special event handlers when running periodically
  • JITL-459: Event handler executes job chain specific event handler when the event handler file starts with x_<name of job chain>

See the Release Notes for a detailed list of features and bug-fixes.

Important

Please also take note of our Change Management information.

Download the JobScheduler:

Download YADE: